Index: gnu/usr.bin/perl/Porting/perldelta_template.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/perldelta_template.pod,v
diff -u -p -a -u -p -r1.16 perldelta_template.pod
--- gnu/usr.bin/perl/Porting/perldelta_template.pod	26 Dec 2025 22:14:13 -0000	1.16
+++ gnu/usr.bin/perl/Porting/perldelta_template.pod	29 Mar 2026 16:31:42 -0000
@@ -406,7 +406,7 @@ died, add a short obituary here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.42.0..HEAD
+  perl Porting/acknowledgements.pl v5.42.2..HEAD
 
 =head1 Reporting Bugs
 
Index: gnu/usr.bin/perl/Porting/release_managers_guide.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/release_managers_guide.pod,v
diff -u -p -a -u -p -r1.14 release_managers_guide.pod
--- gnu/usr.bin/perl/Porting/release_managers_guide.pod	26 Dec 2025 22:14:13 -0000	1.14
+++ gnu/usr.bin/perl/Porting/release_managers_guide.pod	29 Mar 2026 16:31:42 -0000
@@ -3,7 +3,6 @@
 =head1 NAME
 
 release_managers_guide - Releasing a new version of perl 5.x
-
 Note that things change at each release, so there may be new things not
 covered here, or tools may need updating.
 
@@ -102,6 +101,9 @@ key steps are missing. If you do use you
 needs to be taken when setting/pushing the tag and doing the merge
 (do B<not> use a PR).
 
+As you follow these steps, please record notes of anything that you found
+to be unclear; improving this guide is an important part of releasing.
+
 =head2 Release types
 
 =over 4
@@ -404,7 +406,7 @@ This comes down to:
 =head3 Monitor smoke tests for failures
 
 Similarly, monitor the smoking of core tests, and try to fix.  See
-L<CoreSmokeDB Web|https://perl5.test-smoke.org/>, L<Perl Smoke Web|http://perl.develop-help.com> 
+L<CoreSmokeDB Web|https://perl5.test-smoke.org/>, L<Perl Smoke Web|http://perl.develop-help.com>
 and L<Smoke Status Report|https://tux.nl/perl5/smoke/index.html> for a summary. See also
 L<Raw Reports Mailing List|https://www.nntp.perl.org/group/perl.daily-build.reports/> which has emailed raw reports.
 
@@ -465,6 +467,20 @@ When doing a MAINT release, check that p
 Perl Steering Council and Core Team members, in case they have changed
 since the corresponding stable release has been shipped.
 
+=for checklist skip MAINT BLEAD-POINT
+
+=head3 Merge BLEAD-POINT perldeltas
+
+When doing the first RC for BLEAD-FINAL, all perldeltas from the 5.X series
+must be merged into F<pod/perldelta.pod>. The process starts with
+
+    ./perl -Ilib Porting/merge-deltas.pl
+
+The resulting F<pod/perldelta.pod> will need to be edited.  In particular,
+lists will need to be merged.  Sections which were describe changes which
+were reverted will need to be removed.  Some items may benefit from being
+merged into a new summary.
+
 =head3 Update perldelta
 
 Get perldelta in a mostly finished state.
@@ -476,17 +492,15 @@ time can save you from having to work ou
 release process.
 
 Read F<Porting/how_to_write_a_perldelta.pod>, and try to make sure that
-every section it lists is, if necessary, populated and complete. Copy
-edit the whole document.
+every section it lists is, if necessary, populated and complete.
 
 You won't be able to automatically fill in the "Updated Modules" section until
 after L<Module::CoreList> is updated (as described below in
 L</"Update Module::CoreList">).
 
-=head3 Bump the version number
+=for checklist skip BLEAD-POINT
 
-Do not do this yet for a BLEAD-POINT release! You will do this at the end of
-the release process (after building the final tarball, tagging etc).
+=head3 Bump the version number
 
 Increase the version number (e.g. from 5.12.0 to 5.12.1).
 
@@ -511,9 +525,9 @@ C<5.10.0>-type strings, some of which ne
 some of which need to be left unchanged.
 See below in L</"Update INSTALL"> for more details.
 
-For the first RC release leading up to a BLEAD-FINAL release, update the
-description of which releases are now "officially" supported in
-F<pod/perlpolicy.pod>.
+For the first RC release leading up to a BLEAD-FINAL release, update
+F<pod/perlpolicy.pod>: both the version support status table and the
+description of which releases are now "officially" supported.
 
 When doing a BLEAD-POINT or BLEAD-FINAL release, also make sure the
 C<PERL_API_*> constants in F<patchlevel.h> are in sync with the version
@@ -533,7 +547,7 @@ Test your changes:
  $ git clean -xdf   # careful if you don't have local files to keep!
  $ ./Configure -des -Dusedevel
  $ make
- $ make test
+ $ make test_harness
 
 Do note that at this stage, porting tests will fail. They will continue
 to fail until you've updated Module::CoreList, as described below.
@@ -547,7 +561,7 @@ Commit your changes:
  $ git commit -a -m 'Bump the perl version in various places for 5.X.Y'
 
 At this point you may want to compare the commit with a previous bump to
-see if they look similar.  See commit f7cf42bb69 for an example of a
+see if they look similar.  See commit L<f7cf42bb69|https://github.com/Perl/perl5/commit/f7cf42bb69> for an example of a
 previous version bump.
 
 When the version number is bumped, you should also update Module::CoreList
@@ -578,7 +592,10 @@ blead release, so you may find nothing t
 
 =head3 Update AUTHORS
 
-The AUTHORS file can be updated by running F<Porting/updateAUTHORS.pl>.
+The AUTHORS file can be updated by running:
+
+ $ perl Porting/updateAUTHORS.pl
+
 This shouldn't really be necessary anymore, and in theory nothing should
 change as our CI should not pass if a commit would result in AUTHORS
 needing to change, but do it anyway to be sure. Make sure all your changes
@@ -645,6 +662,18 @@ permissions aren't a problem, delete the
 This section describes the actions required to make a release
 that are performed near to, or on the actual release day.
 
+=head3 Optimize your local setup
+
+You will be rebuilding perl quite often, so it makes sense to speed up
+the building and testing by running it in parallel. For that, you can
+optionally set the following environment variables to appropriate values
+for your machine:
+
+  export PERL_TEST_HARNESS_ASAP=1
+  export HARNESS_OPTIONS=j8
+  export TEST_JOBS=8
+  export MAKEFLAGS=-j12
+
 =head3 Re-check earlier actions
 
 Review all the actions in the previous section,
@@ -717,54 +746,32 @@ F<dist/Module-CoreList/lib/Module/CoreLi
 
 =head4 Update C<Module::CoreList> with module version data for the new release
 
-Note that if this is a MAINT release, you should run the following actions
-from the maint branch, but commit the C<CoreList.pm> changes in
-I<blead> and subsequently cherry-pick any releases since the last
-maint release and then your recent commit.  XXX need a better example
-
-[ Note that the procedure for handling Module::CoreList in maint branches
-is a bit complex, and the RMG currently don't describe a full and
-workable approach. The main issue is keeping Module::CoreList
-and its version number synchronised across all maint branches, blead and
-CPAN, while having to bump its version number for every RC release.
-See this brief p5p thread:
-
- Message-ID: <20130311174402.GZ2294@iabyn.com>
-
-If you can devise a workable system, feel free to try it out, and to
-update the RMG accordingly!
-
-DAPM May 2013 ]
+For BLEAD-POINT, RC and BLEAD-FINAL, run:
 
-F<corelist.pl> uses www.cpan.org to verify information about dual-lived
-modules on CPAN. It can use a full, local CPAN mirror and/or fall back
-on HTTP::Tiny to fetch package metadata remotely.
-
-(If you'd prefer to have a full CPAN mirror, see
-L<How to mirror CPAN|https://www.cpan.org/misc/how-to-mirror.html>)
+ $ ./perl -Ilib Porting/corelist.pl cpan
 
-Change to your perl checkout, and if necessary,
+Check those files over carefully:
 
- $ make
+ $ git diff dist/Module-CoreList/lib/Module/CoreList.pm
+ $ git diff dist/Module-CoreList/lib/Module/CoreList/Utils.pm
 
-Then, If you have a local CPAN mirror, run:
+If you have a L<local CPAN mirror|https://www.cpan.org/misc/how-to-mirror.html>, run:
 
  $ ./perl -Ilib Porting/corelist.pl ~/my-cpan-mirror
 
-Otherwise, run:
+For MAINT, the prodecure is not straightforward and implies to pick past
+updates (e.g. from BLEAD-POINT) into the corelist.
 
- $ ./perl -Ilib Porting/corelist.pl cpan
-
-This will chug for a while, possibly reporting various warnings about
-badly-indexed CPAN modules unrelated to the modules actually in core.
-Assuming all goes well, it will update
-F<dist/Module-CoreList/lib/Module/CoreList.pm> and possibly
-F<dist/Module-CoreList/lib/Module/CoreList/Utils.pm>.
+In practice, you should run the previous actions
+from the maint branch, but commit the C<CoreList.pm> changes in
+I<blead> and subsequently cherry-pick any releases since the last
+maint release and then your recent commit.
 
-Check those files over carefully:
+The main issue is keeping Module::CoreList
+and its version number synchronised across all maint branches, blead and
+CPAN, while having to bump its version number for every RC release.
 
- $ git diff dist/Module-CoreList/lib/Module/CoreList.pm
- $ git diff dist/Module-CoreList/lib/Module/CoreList/Utils.pm
+See L<Handling Module::CoreList in MAINT branches (Dave Mitchell)|https://www.nntp.perl.org/group/perl.perl5.porters/2013/03/msg200007.html>.
 
 =head4 Bump version in Module::CoreList F<Changes>
 
@@ -886,7 +893,7 @@ Then build a clean perl and do a full te
  $ git clean -dxf
  $ ./Configure -Dusedevel -des
  $ make
- $ make test
+ $ make test_harness
 
 Once all tests pass, commit your changes.
 
@@ -949,8 +956,6 @@ Be sure to commit your changes:
 
 =head3 Update patchlevel.h
 
-I<You MUST SKIP this step for a BLEAD-POINT release>
-
 Update F<patchlevel.h> to add a C<-RC1>-or-whatever string; or, if this is
 a final release, remove it. For example:
 
@@ -984,15 +989,21 @@ Build perl, then make sure it passes its
  # or if it's an odd-numbered version:
  $ ./Configure -des -Dusedevel -Dprefix=/tmp/perl-5.X.Y-pretest
 
- $ make test install
+ $ make test ; make install
+
+For an odd-numbered version, perl will install itself as
+C</tmp/perl-5.X.Y-pretest/bin/perl5.X.Y> rather than
+C</tmp/perl-5.X.Y-pretest/bin/perl>.
 
 Check that the output of C</tmp/perl-5.X.Y-pretest/bin/perl -v> and
 C</tmp/perl-5.X.Y-pretest/bin/perl -V> are as expected,
 especially as regards version numbers, patch and/or RC levels, and @INC
-paths. Note that as they have been built from a git working
-directory, they will still identify themselves using git tags and
-commits. (Note that for an odd-numbered version, perl will install
-itself as C<perl5.X.Y>). C<perl -v> will identify itself as:
+paths.
+
+Note that as they have been built from a git working directory, they
+will still identify themselves using git tags and commits.
+
+C<perl -v> (or C<perl5.X.Y -v>) will identify itself as:
 
  This is perl 5, version X, subversion Y (v5.X.Y (v5.XX.Z-NNN-gdeadbeef))
 
@@ -1003,9 +1014,9 @@ Then delete the temporary installation.
 
 =head3 Create the release tag
 
-Create the I<annotated> tag identifying this release (e.g.):
+Create the I<annotated> tag identifying this release:
 
- $ git tag v5.21.4 -m 'Perl 5.21.4'
+ $ git tag v5.X.Y -m 'Perl 5.X.Y'
 
 It is B<VERY> important that from this point forward, you not push
 your git changes to the Perl master repository.  If anything goes
@@ -1122,11 +1133,19 @@ paths.
 Note that the results may be different without a F<.git/> directory,
 which is why you should test from the tarball.
 
+=for checklist skip BLEAD-POINT
+
 =head4 Run the Installation Verification Procedure utility
 
  $ bin/perlivp
+ ...
+ All tests successful.
+ $
+
+=for checklist skip RC MAINT BLEAD-FINAL
+
+=head4 Run the Installation Verification Procedure utility
 
- # Or, perhaps:
  $ bin/perlivp5.X.Y
  ...
  All tests successful.
@@ -1154,15 +1173,24 @@ performing these actions:
 
  $ unset PERL5LIB PERL_MB_OPT PERL_LOCAL_LIB_ROOT PERL_MM_OPT
 
+=for checklist skip BLEAD-POINT
+
 =head4 Bootstrap the CPAN client
 
 Bootstrap the CPAN client on the clean install:
 
  $ bin/cpan
 
- # Or, perhaps:
+=for checklist skip RC MAINT BLEAD-FINAL
+
+=head4 Bootstrap the CPAN client
+
+Bootstrap the CPAN client on the clean install:
+
  $ bin/cpan5.X.Y
 
+=for checklist skip BLEAD-POINT
+
 =head4 Install the Inline module with CPAN and test it
 
 Try installing a popular CPAN module that's reasonably complex and that
@@ -1175,7 +1203,23 @@ Check that your perl can run this:
 
  $ bin/perl -lwe "use Inline C => q[int f() { return 42;}]; print f"
  42
- $
+
+=for checklist skip RC MAINT BLEAD-FINAL
+
+=head4 Install the Inline module with CPAN and test it
+
+Try installing a popular CPAN module that's reasonably complex and that
+has dependencies; for example:
+
+ CPAN> install Inline::C
+ CPAN> quit
+
+Check that your perl can run this:
+
+ $ bin/perl5.X.Y -lwe "use Inline C => q[int f() { return 42;}]; print f"
+ 42
+
+=for checklist skip BLEAD-POINT
 
 =head4 Make sure that perlbug works
 
@@ -1193,7 +1237,28 @@ Test L<perlbug> with the following:
  Action (Send/Display/Edit/Subject/Save to File): f
  Name of file to save message in [perlbug.rep]:
 
-and carefully examine the output (in F<perlbug.rep]>), especially
+Then carefully examine the output (in F<perlbug.rep]>), especially
+the "Locally applied patches" section.
+
+=for checklist skip RC MAINT BLEAD-FINAL
+
+=head4 Make sure that perlbug works
+
+Test L<perlbug> with the following:
+
+ $ bin/perlbug5.X.Y
+ ...
+ Subject: test bug report
+ Local perl administrator [yourself]:
+ Editor [vi]:
+ Module:
+ Category [core]:
+ Severity [low]:
+ (edit report)
+ Action (Send/Display/Edit/Subject/Save to File): f
+ Name of file to save message in [perlbug.rep]:
+
+Then carefully examine the output (in F<perlbug.rep]>), especially
 the "Locally applied patches" section.
 
 =for checklist skip BLEAD-POINT
@@ -1261,8 +1326,6 @@ which may be faster.
 
 =head3 Wait for indexing
 
-I<You MUST SKIP this step for RC and BLEAD-POINT>
-
 Wait until you receive notification emails from the PAUSE indexer
 confirming that your uploads have been received.  IMPORTANT -- you will
 probably get an email that indexing has failed, due to module permissions.
@@ -1272,8 +1335,6 @@ This is considered normal.
 
 =head3 Disarm patchlevel.h
 
-I<You MUST SKIP this step for BLEAD-POINT release>
-
 Disarm the F<patchlevel.h> change; for example,
 
   static const char * const local_patches[] = {
@@ -1330,26 +1391,23 @@ You can include the customary link to th
 message reaches the web-visible archives by looking for the X-List-Archive
 header in your message after receiving it back via perl5-porters.
 
+=for checklist skip RC BLEAD-POINT
+
 =head3 Update the link to the latest perl on perlweb
 
-Submit a pull request to L<https://github.com/perlorg/perlweb>.  For a dev
-release, update the link in F<docs/dev/perl5/index.html>.  For a stable
-release, update F<docs/shared/tpl/stats.html>.
+Submit a pull request to L<https://github.com/perlorg/perlweb> to
+update the link in F<docs/shared/tpl/stats.html>.
 
 =for checklist skip RC
 
 =head3 Release schedule
 
-I<You MUST SKIP this step for RC>
-
 Tick the entry for your release in F<Porting/release_schedule.pod>.
 
 =for checklist skip RC
 
 =head3 Module::CoreList nagging
 
-I<You MUST SKIP this step for RC>
-
 Remind the current maintainer of C<Module::CoreList> to push a new release
 to CPAN.
 
@@ -1357,8 +1415,6 @@ to CPAN.
 
 =head3 New perldelta
 
-I<You MUST SKIP this step for RC>
-
 Create a new perldelta.
 
 =over 4
@@ -1370,7 +1426,8 @@ Confirm that you have a clean checkout w
 =item *
 
 Run:
- perl Porting/new-perldelta.pl
+
+ $ perl Porting/new-perldelta.pl
 
 =item *
 
@@ -1378,13 +1435,24 @@ Run the C<git add> commands it outputs t
 
 =item *
 
-Verify that the build still works, by running C<./Configure> and
-C<make test_porting>. (On Win32 use the appropriate make utility).
+Verify that the build still works, by running:
+
+ $ ./Configure
+ $ make test_porting
+
+(On Win32 use the appropriate make utility).
 
 =item *
 
-If F<t/porting/podcheck.t> spots errors in the new F<pod/perldelta.pod>,
-run C<./perl -MTestInit t/porting/podcheck.t | less> for more detail.
+Run:
+
+ $ ./perl t/porting/podcheck.t
+
+If it spots errors in the new F<pod/perldelta.pod>, run:
+
+ $ ./perl -MTestInit t/porting/podcheck.t | less
+
+It will give you more details.
 Skip to the end of its test output to see the options it offers you.
 
 =item *
@@ -1399,11 +1467,15 @@ At this point you may want to compare th
 see if they look similar.  See commit ba03bc34a4 for an example of a
 previous version bump.
 
-=for checklist skip MAINT RC
+=head3 Push commits
+
+Finally, push any commits done above.
+
+ $ git push origin ....
 
-=head3 Bump version
+=for checklist skip BLEAD-POINT RC MAINT
 
-I<You MUST SKIP this step for RC and MAINT>
+=head3 Bump the feature bundles
 
 If this was a BLEAD-FINAL release (i.e. the first release of a new maint
 series, 5.x.0 where x is even), then bump the version in the blead branch
@@ -1416,13 +1488,11 @@ marker); e.g.
       "5.14" => [qw(switch say state unicode_strings)],
  +    "5.15" => [qw(switch say state unicode_strings)],
 
-Run F<regen/feature.pl> to propagate the changes to F<lib/feature.pm>.
+Run:
 
-Then follow the section L</"Bump the version number"> to bump the version
-in the remaining files and test and commit.
+ $ ./perl regen/feature.pl
 
-If this was a BLEAD-POINT release, then just follow the section
-L</"Bump the version number">.
+It will propagate the changes to F<lib/feature.pm>.
 
 After bumping the version, follow the section L</"Update INSTALL"> to
 ensure all version number references are correct.
@@ -1439,6 +1509,56 @@ reports to arise. (The opposite problem 
 introduced later -- shouldn't arise for MAINT releases since they should,
 in theory, only contain bug fixes but never regressions.))
 
+=for checklist skip RC MAINT
+
+=head3 Bump the version number
+
+Increase the version number (e.g. from 5.12.0 to 5.12.1).
+
+There is a tool to semi-automate this process:
+
+ $ ./perl -Ilib Porting/bump-perl-version -i 5.10.0 5.10.1
+
+Remember that this tool is largely just grepping for '5.10.0' or whatever,
+so it will generate false positives. Be careful not change text like
+"this was fixed in 5.10.0"!
+
+Use git status and git diff to select changes you want to keep.
+
+Be particularly careful with F<INSTALL>, which contains a mixture of
+C<5.10.0>-type strings, some of which need bumping on every release, and
+some of which need to be left unchanged.
+See below in L</"Update INSTALL"> for more details.
+
+After editing, you may need to regen opcodes:
+
+ $ ./perl -Ilib regen/opcode.pl
+
+Test your changes:
+
+ $ git clean -xdf   # careful if you don't have local files to keep!
+ $ ./Configure -des -Dusedevel
+ $ make
+ $ make test_harness
+
+Do note that at this stage, porting tests will fail. They will continue
+to fail until you've updated Module::CoreList, as described below.
+
+Commit your changes:
+
+ $ git status
+ $ git diff
+ # Review the delta carefully
+ $ git commit -a -m 'Bump the perl version in various places for 5.X.Y'
+
+At this point you may want to compare the commit with a previous bump to
+see if they look similar.  See commit L<f7cf42bb69|https://github.com/Perl/perl5/commit/f7cf42bb69> for an example of a
+previous version bump.
+
+When the version number is bumped, you should also update Module::CoreList
+(as described in L</"Update Module::CoreList">) to reflect the new
+version number.
+
 =head3 Clean build and test
 
 Run a clean build and test to make sure nothing obvious is broken. This is
@@ -1448,7 +1568,7 @@ executable built with the bumped version
  $ git clean -xdf
  $ ./Configure -des -Dusedevel
  $ make
- $ make test
+ $ make test_harness
 
 In particular, F<Porting/perldelta_template.pod> is intentionally exempted
 from podchecker tests, to avoid false positives about placeholder text.
@@ -1476,18 +1596,10 @@ update its exceptions database.
 
 =back
 
-=head3 Push commits
-
-Finally, push any commits done above.
-
- $ git push origin ....
-
 =for checklist skip BLEAD-POINT MAINT RC
 
 =head3 Create maint branch
 
-I<You MUST SKIP this step for RC, BLEAD-POINT, MAINT>
-
 If this was a BLEAD-FINAL release (i.e. the first release of a new maint
 series, 5.x.0 where x is even), then create a new maint branch based on
 the commit tagged as the current release.
@@ -1501,8 +1613,6 @@ Assuming you're using git 1.7.x or newer
 
 =head3 Copy perldelta.pod to blead
 
-I<You MUST SKIP this step for RC, BLEAD-POINT>
-
 Copy the perldelta.pod for this release into blead; for example:
 
  $ cd ..../blead
@@ -1567,13 +1677,13 @@ and F<dist/Module-CoreList/lib/Module/Co
 
 =item *
 
-If you have a local CPAN mirror, run:
+In most cases, run:
 
- $ ./perl -Ilib Porting/corelist.pl ~/my-cpan-mirror
+ $ ./perl -Ilib Porting/corelist.pl cpan
 
-Otherwise, run:
+If you have a L<local CPAN mirror|https://www.cpan.org/misc/how-to-mirror.html>, run:
 
- $ ./perl -Ilib Porting/corelist.pl cpan
+ $ ./perl -Ilib Porting/corelist.pl ~/my-cpan-mirror
 
 This will update F<dist/Module-CoreList/lib/Module/CoreList.pm> and
 F<dist/Module-CoreList/lib/Module/CoreList/Utils.pm> as it did before,
@@ -1583,6 +1693,11 @@ but this time adding new sections for th
 
 Add the new $Module::CoreList::VERSION to
 F<dist/Module-CoreList/Changes>.
+
+=item *
+
+Replace date '????-??-??' per actual planned YYYY-MM-DD in
+F<dist/Module-CoreList/lib/Module/CoreList.pm>.
 
 =item *
 
Index: gnu/usr.bin/perl/Porting/release_schedule.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/release_schedule.pod,v
diff -u -p -a -u -p -r1.13 release_schedule.pod
--- gnu/usr.bin/perl/Porting/release_schedule.pod	26 Dec 2025 22:14:13 -0000	1.13
+++ gnu/usr.bin/perl/Porting/release_schedule.pod	29 Mar 2026 16:31:42 -0000
@@ -11,22 +11,23 @@ release schedules for the next, current 
 of Perl.  Dates with two or more question marks will only be releases if
 deemed necessary by the Steering Council.
 
+=head2 Perl 5.44
+
+  2026-??-??  5.44.0
+
 =head2 Perl 5.42
 
-  2025-??-??  5.42.0
+  2025-07-02  5.42.0  ✓       Philippe Bruhat
+  2026-03-08  5.42.1  ✓       Steve Hay
+  2026-03-29  5.42.2          Steve Hay
 
 =head2 Perl 5.40
 
   2024-06-09  5.40.0  ✓       Graham Knop
   2025-01-18  5.40.1  ✓       Steve Hay
   2025-04-13  5.40.2  ✓       Steve Hay
-
-=head2 Perl 5.38
-
-  2023-07-01  5.38.0  ✓       Ricardo Signes
-  2023-11-29  5.38.2  ✓       Paul Evans
-  2025-01-18  5.38.3  ✓       Steve Hay
-  2025-04-13  5.38.4  ✓       Steve Hay
+  2025-08-03  5.40.3  ✓       Steve Hay
+  2026-03-29  5.40.4          Steve Hay
 
 =head1 DEVELOPMENT RELEASE SCHEDULE
 
@@ -42,25 +43,22 @@ When shipping a release, you should incl
 the next four releases. If a stable version of Perl is released,
 you should reset the version numbers to the next blead series.
 
-=head2 Perl 5.41
+=head2 Perl 5.43
 
-  2024-06-10  5.41.0  ✓       Graham K          (tag only)
-  2024-06-20  5.41.1  ✓       Graham K
-  2024-07-20  5.41.2  ✓       Karen Etheridge
-  2024-08-20  5.41.3  ✓       Philippe Bruhat
-  2024-09-20  5.41.4  ✓       Thibault Duponchelle
-  2024-10-20  5.41.5  ✓       Richard Leach
-  2024-11-20  5.41.6  ✓       Thibault Duponchelle
-  2024-12-20  5.41.7  ✓       Max Maischein
-  2025-01-20  5.41.8  ✓       Steve Hay
-  2025-02-20  5.41.9  ✓       Richard Leach     Contentious changes freeze
-  2025-03-20  5.41.10 ✓       Lukas Mai         User-visible changes to
+  2025-07-04  5.43.0  ✓       Philippe Bruhat   (tag only)
+  2025-07-20  5.43.1  ✓       Richard Leach
+  2025-08-20  5.43.2  ✓       Karen Etheridge
+  2025-09-20  5.43.3  ✓       Thibault Duponchelle
+  2025-10-22  5.43.4  ✓       Eric Herman
+  2025-11-20  5.43.5  ✓       Thibault Duponchelle
+  2025-12-20  5.43.6  ✓       Steve Hay
+  2026-01-19  5.43.7  ✓       Max Maischein
+  2026-02-20  5.43.8  ✓       Richard Leach     Contentious changes freeze
+  2026-03-20  5.43.9  ✓       Eric Herman       User-visible changes to
                                                 correctly functioning
                                                 programs freeze
-  2025-04-20  5.41.11 ✓       Karen Etheridge   Full program freeze
-  2025-04-21  5.41.12 ✓       Karen Etheridge
-  2025-05-28  5.41.13 ✓       Philippe Bruhat
-  2025-0?-??  5.42.0          ?                 New perl!
+  2026-04-20  5.43.10         Philippe Bruhat   Full program freeze
+  2026-05-20  5.44.0                            New perl!
 
 =head1 VICTIMS
 
@@ -81,6 +79,7 @@ consent of the Steering Council.)
   Florian Ragwitz <rafl@debian.org>
   Jesse Luehrs <doy@cpan.org>
   Jesse Vincent <jesse@cpan.org>
+  Karen Etheridge <ether@cpan.org>
   Leon Brocard <acme@astray.com>
   Matt Trout <mst@shadowcat.co.uk>
   Matthew Horsfall <wolfsage@gmail.com>
@@ -92,6 +91,7 @@ consent of the Steering Council.)
   Stevan Little <stevan@cpan.org>
   Steve Hay <steve.m.hay@googlemail.com>
   Tatsuhiko Miyagawa <miyagawa@bulknews.net>
+  Thibault Duponchelle <thibault.duponchelle@gmail.com>
   Tony Cook <tony@develop-help.com>
   Yves Orton <demerphq@gmail.com>
   Ævar Arnfjörð Bjarmason <avar@cpan.org>
Index: gnu/usr.bin/perl/Porting/sync-with-cpan
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/sync-with-cpan,v
diff -u -p -a -u -p -r1.9 sync-with-cpan
--- gnu/usr.bin/perl/Porting/sync-with-cpan	26 Dec 2025 22:14:13 -0000	1.9
+++ gnu/usr.bin/perl/Porting/sync-with-cpan	29 Mar 2026 16:31:42 -0000
@@ -209,7 +209,7 @@ my $package_file = "$tmpdir/$package"; #
 my $type_dir     = "cpan";
 
 my @problematic = (
-    # no current entries as of perl-5.42.0 (July 2025)
+    # no current entries as of perl-5.42.2 (March 2026)
 );
 
 
Index: gnu/usr.bin/perl/Porting/todo.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/todo.pod,v
diff -u -p -a -u -p -r1.15 todo.pod
--- gnu/usr.bin/perl/Porting/todo.pod	26 Dec 2025 22:14:13 -0000	1.15
+++ gnu/usr.bin/perl/Porting/todo.pod	29 Mar 2026 16:31:42 -0000
@@ -1193,7 +1193,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lis
 =head1 Big projects
 
 Tasks that will get your name mentioned in the description of the "Highlights
-of 5.42.0"
+of 5.42.2"
 
 =head2 make ithreads more robust
 
Index: gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/lib/Compress/Raw/Zlib.pm
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/lib/Compress/Raw/Zlib.pm,v
diff -u -p -a -u -p -r1.10 Zlib.pm
--- gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/lib/Compress/Raw/Zlib.pm	26 Dec 2025 22:14:13 -0000	1.10
+++ gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/lib/Compress/Raw/Zlib.pm	29 Mar 2026 16:31:42 -0000
@@ -10,7 +10,7 @@ use warnings ;
 use bytes ;
 our ($VERSION, $XS_VERSION, @ISA, @EXPORT, %EXPORT_TAGS, @EXPORT_OK, $AUTOLOAD, %DEFLATE_CONSTANTS, @DEFLATE_CONSTANTS);
 
-$VERSION = '2.213';
+$VERSION = '2.222';
 $XS_VERSION = $VERSION;
 $VERSION = eval $VERSION;
 
@@ -626,7 +626,7 @@ Compress::Raw::Zlib - Low-Level Interfac
     $d->msg() ;
     $d->get_Strategy();
     $d->get_Level();
-    $d->get_BufSize();
+    $d->get_Bufsize();
 
     ($i, $status) = new Compress::Raw::Zlib::Inflate( [OPT] ) ;
     $status = $i->inflate($input, $output [, $eof]) ;
@@ -638,7 +638,7 @@ Compress::Raw::Zlib - Low-Level Interfac
     $i->total_in() ;
     $i->total_out() ;
     $i->msg() ;
-    $d->get_BufSize();
+    $d->get_Bufsize();
 
     $crc = adler32($buffer [,$crc]) ;
     $crc = crc32($buffer [,$crc]) ;
@@ -923,7 +923,7 @@ C<Z_DEFAULT_STRATEGY>, C<Z_FILTERED> and
 
 Returns the compression level being used.
 
-=head2 B<$d-E<gt>get_BufSize()>
+=head2 B<$d-E<gt>get_Bufsize()>
 
 Returns the buffer size used to carry out the compression.
 
@@ -1215,7 +1215,7 @@ Returns the total number of bytes compre
 
 Returns the total number of uncompressed bytes output from inflate.
 
-=head2 B<$d-E<gt>get_BufSize()>
+=head2 B<$d-E<gt>get_Bufsize()>
 
 Returns the buffer size used to carry out the decompression.
 
@@ -1318,7 +1318,7 @@ Refer to the I<zlib> documentation for m
 Returns the version of the I<zlib> library if this module has been built with the I<zlib> library.
 If this module has been built with I<zlib-ng> in native mode, this function will return a empty string.
 If this module has been built with I<zlib-ng> in compat mode, this function will return the Izlib> API
-verion that I<zlib-ng> is supporting.
+version that I<zlib-ng> is supporting.
 
 =head2 my $version = Compress::Raw::Zlib::zlibng_version();
 
@@ -1637,7 +1637,7 @@ See the Changes file.
 
 =head1 COPYRIGHT AND LICENSE
 
-Copyright (c) 2005-2024 Paul Marquess. All rights reserved.
+Copyright (c) 2005-2026 Paul Marquess. All rights reserved.
 
 This program is free software; you can redistribute it and/or
 modify it under the same terms as Perl itself.
Index: gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/t/01version.t
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/t/01version.t,v
diff -u -p -a -u -p -r1.4 01version.t
--- gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/t/01version.t	26 Dec 2025 22:14:13 -0000	1.4
+++ gnu/usr.bin/perl/cpan/Compress-Raw-Zlib/t/01version.t	29 Mar 2026 16:31:42 -0000
@@ -33,7 +33,7 @@ SKIP:
 {
     # If running a github workflow that tests upstream zlib/zlib-ng, check we have the version requested
 
-    # Not github or not asking for explicit verson, so skip
+    # Not github or not asking for explicit version, so skip
     skip "Not github", 7
         if ! (defined $ENV{GITHUB_ACTION} && defined $ENV{ZLIB_VERSION}) ;
 
@@ -74,8 +74,15 @@ SKIP:
             '2.1.5' => '1.3.0.zlib-ng',
             '2.1.6' => '1.3.0.zlib-ng',
             '2.1.7' => '1.3.1.zlib-ng',
+            '2.1.8' => '1.3.1.zlib-ng',
             '2.2.0' => '1.3.1.zlib-ng',
             '2.2.1' => '1.3.1.zlib-ng',
+            '2.2.2' => '1.3.1.zlib-ng',
+            '2.2.3' => '1.3.1.zlib-ng',
+            '2.2.4' => '1.3.1.zlib-ng',
+            '2.2.5' => '1.3.1.zlib-ng',
+            '2.3.1' => '1.3.1.zlib-ng',
+            '2.3.2' => '1.3.1.zlib-ng',
         );
 
         my $zv = Compress::Raw::Zlib::zlibng_version();
